This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014460 - Akonadi generates hundreds of warning dialogs
Akonadi generates hundreds of warning dialogs
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kdepim-runtime (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 02:27 EDT by Jan Zeleny
Modified: 2015-11-01 20:37 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:27:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 319171 None None None Never

  None (edit)
Description Jan Zeleny 2013-10-02 02:27:46 EDT
Description of problem:
When something doesn't go well in Akonadi, it sometimes generates an enormous amount of warning dialogs, virtually rendering the system unusable, as kwin is not able to handle such amount of windows well.

The problem is that I didn't manage to reproduce the behavior reliably. It is as if id depended on some event to actually notice something went wrong.

Anyway I managed to invoke the bug couple time using GSSAPI-protected offline IMAP account. I assume other ways to invoke the problem exist as well.

Steps to Reproduce:
1. Create an GSSAPI offline IMAP account
2. kinit to get a valid ticket
3. Let the ticket expire
4. Leave the system connected to the IMAP resource for a few hours
5. Return back to the computer and see lots of warning dialogs

In my case there were ~475 warning dialogs, all with the same text that GSSAPI auth failed (of course it did, the ticket expired) and three buttons - retry, cancel and setting IIRC.

I'm using version akonadi-1.10.2-1.fc19.x86_64
Comment 1 Daniel Vrátil 2013-10-02 07:25:32 EDT
This is actually a bug in the Akonadi IMAP resource. Most probably the same cause as described here: https://bugs.kde.org/show_bug.cgi?id=319171
Comment 2 Jan Zeleny 2013-10-02 08:39:32 EDT
Yeah, looks suspiciously similar. Thanks for looking into this.
Comment 3 Fedora End Of Life 2015-01-09 15:04:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:27:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.